Subject: Re: bug#24126: vc-hg-state can be extremely slow

From: Sean Whitton <[email-masked]>
Date: Fri, 14 Mar 2025 13:37:18 +0800

tag 24126 - moreinfo
thanks

Hello,

On Mon 10 Mar 2025 at 04:24pm -05, Jonathan Kotta wrote:

> I tested `vc-root-diff` on Emacs 29.4 with the repo described below,
> and though it's slow the first time it seems to be much faster on
> subsequent calls, probably due to caching in Emacs.  I'd argue it's
> still unacceptably slow, because there can be an arbitrary number of
> ignored files.  The fundamental bug is assuming `hg status -A
> some_directory` is a fast operation, when it can easily take many
> seconds or even minutes because it's proportional to the number of
> files under some_directory.

Thanks, Jonathan, for the info.

The next step here is for someone to find out if there is any equivalent
hg command that will get us the information we need without slowing down
based on the number of ignored files.  Otherwise this is just unfixable.

-- 
Sean Whitton